ZBar(3)

NAME
Barcode::ZBar - Perl interface to the ZBar Barcode Reader

SYNOPSIS
setup:

    use Barcode::ZBar;

    my $reader = Barcode::ZBar::Processor->new();
    $reader->init();
    $reader->set_data_handler(\&my_handler);

scan an image:

    my $image = Barcode::ZBar::Image->new();
    $image->set_format('422P');
    $image->set_size(114, 80);
    $image->set_data($raw_bits);
    $reader->process_image($image);

scan from video:

    $reader->set_visible();
    $reader->set_active();
    $reader->user_wait();

collect results:

    my @symbols = $image->get_symbols();
    foreach my $sym (@symbols) {
        print("decoded: " . $sym->get_type() . ":" . $sym->get_data());
    }

DESCRIPTION
The ZBar Bar Code Reader is a library for scanning and decoding bar codes from various sources such as video streams, image files or raw intensity sensors. It supports EAN, UPC, Code 128, Code 39 and Interleaved 2 of 5.

These are the bindings for interacting directly with the library from Perl.

REFERENCE

  Functions

version()
    Returns the version of the zbar library as "major.minor".

increase_verbosity()
    Increases global library debug by one level.

set_verbosity(level)
    Sets global library debug to the indicated level. Higher numbers give more verbosity.

parse_config(configstr)
    Parse a decoder configuration setting into a list containing the symbology constant, config constant, and value to set. See the documentation for "zbarcam"/"zbarimg" for available configuration options.

  Constants
Width stream "color" constants:

SPACE
    Light area or space between bars.

BAR Dark area or colored bar segment.

SEE ALSO
Barcode::ZBar::Processor, Barcode::ZBar::ImageScanner, Barcode::ZBar::Image, Barcode::ZBar::Symbol, Barcode::ZBar::Scanner, Barcode::ZBar::Decoder

zbarimg(1), zbarcam(1)

http://zbar.sf.net

AUTHOR
Jeff Brown, <spadix@users.sourceforge.net>

COPYRIGHT AND LICENSE
Copyright 2008-2009 (c) Jeff Brown <spadix@users.sourceforge.net>

The ZBar Bar Code Reader is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.